Bug 201531 - [patch] www/libsocialweb: add missing dependencies, add LICENSE
Summary: [patch] www/libsocialweb: add missing dependencies, add LICENSE
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Koop Mast
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2015-07-13 17:00 UTC by Andriy Voskoboinyk
Modified: 2015-12-12 19:15 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (kwm)


Attachments
Patch.diff (3.27 KB, patch)
2015-07-13 17:00 UTC, Andriy Voskoboinyk
no flags Details | Diff
portlint.log (877 bytes, text/plain)
2015-07-13 17:00 UTC, Andriy Voskoboinyk
no flags Details
poudriere-9.3-i386.log (165.62 KB, text/plain)
2015-07-13 17:01 UTC, Andriy Voskoboinyk
no flags Details
Patch2.diff (3.20 KB, patch)
2015-08-05 23:51 UTC, Andriy Voskoboinyk
no flags Details | Diff
portlint.log (877 bytes, text/plain)
2015-08-05 23:53 UTC, Andriy Voskoboinyk
no flags Details
poudriere-9.3-i386.log (167.02 KB, text/plain)
2015-08-05 23:54 UTC, Andriy Voskoboinyk
no flags Details
poudriere-10.1-amd64.log (200.86 KB, text/plain)
2015-08-06 00:15 UTC, Andriy Voskoboinyk
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andriy Voskoboinyk freebsd_committer 2015-07-13 17:00:12 UTC
Created attachment 158697 [details]
Patch.diff

- Add libgnome-keyring and libsoup-gnome to LIB_DEPENDS.
- Add LICENSE.
- Fix libintl.h detection.
- Use DATADIR.
- Fix portlint warnings.
Comment 1 Andriy Voskoboinyk freebsd_committer 2015-07-13 17:00:41 UTC
Created attachment 158698 [details]
portlint.log
Comment 2 Andriy Voskoboinyk freebsd_committer 2015-07-13 17:01:55 UTC
Created attachment 158699 [details]
poudriere-9.3-i386.log
Comment 3 Andriy Voskoboinyk freebsd_committer 2015-08-05 23:51:31 UTC
Created attachment 159594 [details]
Patch2.diff

- Rebase.
- Remove @dir %%DATADIR%%/services from patch.
- Bump PORTREVISION (new dependency).
Comment 4 Andriy Voskoboinyk freebsd_committer 2015-08-05 23:53:49 UTC
Created attachment 159595 [details]
portlint.log
Comment 5 Andriy Voskoboinyk freebsd_committer 2015-08-05 23:54:19 UTC
Created attachment 159596 [details]
poudriere-9.3-i386.log
Comment 6 Andriy Voskoboinyk freebsd_committer 2015-08-06 00:15:16 UTC
Created attachment 159597 [details]
poudriere-10.1-amd64.log
Comment 7 commit-hook freebsd_committer 2015-12-12 19:13:33 UTC
A commit references this bug:

Author: kwm
Date: Sat Dec 12 19:13:23 UTC 2015
New revision: 403629
URL: https://svnweb.freebsd.org/changeset/ports/403629

Log:
  Add license lines
  Add implicit depend on libsoup-gnome
  Teach configure where to find libintl.h
  Sort plist.
  Pet portlint a bit.

  PR:		201531
  Submitted by:	Andriy Voskoboinyk <s3erios@gmail.com>

Changes:
  head/www/libsocialweb/Makefile
Comment 8 Koop Mast freebsd_committer 2015-12-12 19:15:15 UTC
Committed, thank for submitting!